function [SAMPLES,LOG_VALS] = apostpdf_samples(X, NUM_SAMPLES, PARAMS)

SAMPLES = cell(size(X,2),1);
LOG_VALS = cell(size(X,2),1);

for NUM_O = 1:size(X,2)
    SAMPLES{NUM_O} = trunc_gaussian_vect(0, 1, X(NUM_O), PARAMS.VARIANCE, NUM_SAMPLES);
    LOG_VALS{NUM_O} = -1/2/PARAMS.VARIANCE*(X(NUM_O) - SAMPLES{NUM_O}).^2;
    LOG_VALS{NUM_O} = LOG_VALS{NUM_O} - max(LOG_VALS{NUM_O});
end

end